--- old/usr/src/common/nvpair/fnvpair.c	Tue Jan 29 05:16:04 2013
+++ new/usr/src/common/nvpair/fnvpair.c	Tue Jan 29 05:16:04 2013
@@ -21,6 +21,7 @@
 
 /*
  * Copyright (c) 2012 by Delphix. All rights reserved.
+ * Copyright (c) 2013, Joyent, Inc. All rights reserved.
  */
 
 #include <sys/nvpair.h>
@@ -30,6 +31,9 @@
 #include <stdlib.h>
 #endif
 
+#pragma weak fnvlist_lookup_uint8_t = fnvlist_lookup_uint8
+#pragma weak fnvpair_value_uint8_t = fnvpair_value_uint8
+
 /*
  * "Force" nvlist wrapper.
  *
@@ -352,7 +356,7 @@
 }
 
 uint8_t
-fnvlist_lookup_uint8_t(nvlist_t *nvl, const char *name)
+fnvlist_lookup_uint8(nvlist_t *nvl, const char *name)
 {
 	uint8_t rv;
 	VERIFY0(nvlist_lookup_uint8(nvl, name, &rv));
@@ -448,7 +452,7 @@
 }
 
 uint8_t
-fnvpair_value_uint8_t(nvpair_t *nvp)
+fnvpair_value_uint8(nvpair_t *nvp)
 {
 	uint8_t rv;
 	VERIFY0(nvpair_value_uint8(nvp, &rv));
@@ -494,3 +498,19 @@
 	VERIFY0(nvpair_value_nvlist(nvp, &rv));
 	return (rv);
 }
+
+double
+fnvpair_value_double(nvpair_t *nvp)
+{
+	double rv;
+	VERIFY0(nvpair_value_double(nvp, &rv));
+	return (rv);
+}
+
+hrtime_t
+fnvpair_value_hrtime(nvpair_t *nvp)
+{
+	hrtime_t rv;
+	VERIFY0(nvpair_value_hrtime(nvp, &rv));
+	return (rv);
+}
